Skip to content

Manually promote a winning variant

POST
/api/v1/ux/ab-tests/{test_id}/promote
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/ux/ab-tests/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/promote \
--header 'X-API-Key: <X-API-Key>'

UX-01: Admin-only path; the CEO weekly cadence is the primary caller via sweep_auto_promote.

test_id
required
Test Id
string format: uuid

Successful Response

Media typeapplication/json
PromoteResponse

Response body for POST /api/v1/ux/ab-tests/{test_id}/promote.

object
chi_squared_p_value
Any of:
number
promoted
required
Promoted
boolean
reason
Reason
string
""
test_id
required
Test Id
string format: uuid
winner
Any of:
string
Example
{
"reason": ""
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}